This is FirstPackage.info, produced by Macaulay2, version 1.22

FirstPackage -- an example Macaulay2 package
********************************************

Description
===========

FirstPackage is a basic package to be used as an example.

Caveat
======

Still trying to figure this out.

Author
======

  * Jane Doe (see http://www.math.uiuc.edu/~doe/ ) <doe@math.uiuc.edu>

Version
=======

This documentation describes version 1.1 of FirstPackage.

Source code
===========

The source code from which this documentation is derived is in the file
FirstPackage.m2 (see common/share/Macaulay2/FirstPackage.m2 ).

Exports
=======

  * Functions and commands
      * "firstFunction" -- see firstFunction(ZZ)
        -- a silly first function
  * Methods
      * firstFunction(ZZ) -- a silly first
        function

For the programmer
==================

The object FirstPackage is a package (Macaulay2Doc).

firstFunction(ZZ) -- a silly first function
*******************************************

Synopsis
========

  * Function: firstFunction
  * Usage:
        firstFunction n
  * Inputs:
      * n, an integer (Macaulay2Doc),
  * Outputs:
      * a string (Macaulay2Doc), a silly string, depending on the
        value of n

Description
===========

Here we show an example.

+--------------------+
|i1 : firstFunction 1|
|                    |
|o1 = Hello World!   |
+--------------------+
|i2 : firstFunction 0|
|                    |
|o2 = D'oh!          |
+--------------------+

Ways to use this method:
========================

  * firstFunction(ZZ) -- a silly first function